--- GLwDrawA.c.orig	2008-07-21 10:10:11.000000000 -0500
+++ GLwDrawA.c	2012-04-06 19:47:51.000000000 -0500
@@ -270,7 +270,7 @@
 static XtResource otherColorResources[] = {
   {XmNforeground,XmCForeground,XmRPixel, 
    sizeof(Pixel),XtOffset(GLwDrawingAreaWidget,primitive.foreground),
-   XmRString,(XtPointer)"lighgrey"},
+   XmRString,(XtPointer)"lightgrey"},
    /*XmRCallProc, (XtPointer) _XmForegroundColorDefault},*/
 
   {XmNhighlightColor,XmCHighlightColor,XmRPixel,sizeof(Pixel),
--- GLwDrawA.h.orig	2010-02-04 18:10:40.000000000 -0600
+++ GLwDrawA.h	2012-04-06 19:47:51.000000000 -0500
@@ -136,7 +136,7 @@
 typedef struct _GLwMDrawingAreaClassRec	*GLwMDrawingAreaWidgetClass;
 typedef struct _GLwMDrawingAreaRec	*GLwMDrawingAreaWidget;
 
-extern WidgetClass glwMDrawingAreaWidgetClass;
+GLAPI WidgetClass glwMDrawingAreaWidgetClass;
 
 
 #else 
@@ -144,7 +144,7 @@
 typedef struct _GLwDrawingAreaClassRec	*GLwDrawingAreaWidgetClass;
 typedef struct _GLwDrawingAreaRec	*GLwDrawingAreaWidget;
 
-extern WidgetClass glwDrawingAreaWidgetClass;
+GLAPI WidgetClass glwDrawingAreaWidgetClass;
 
 
 #endif
@@ -177,8 +177,8 @@
 #endif
 
 /* front ends to glXMakeCurrent and glXSwapBuffers */
-extern void GLwDrawingAreaMakeCurrent(Widget w,GLXContext ctx);
-extern void GLwDrawingAreaSwapBuffers(Widget w);
+GLAPI void GLwDrawingAreaMakeCurrent(Widget w,GLXContext ctx);
+GLAPI void GLwDrawingAreaSwapBuffers(Widget w);
 
 #ifdef __GLX_MOTIF
 #ifdef _NO_PROTO
--- GLwDrawAP.h.orig	2010-02-04 18:10:09.000000000 -0600
+++ GLwDrawAP.h	2012-04-06 19:47:51.000000000 -0500
@@ -59,7 +59,7 @@
   } GLwMDrawingAreaClassRec;
 
 
-extern GLwMDrawingAreaClassRec glwMDrawingAreaClassRec;
+GLAPI GLwMDrawingAreaClassRec glwMDrawingAreaClassRec;
 
 
 /* XT */
@@ -70,7 +70,7 @@
   GLwDrawingAreaClassPart     glwDrawingArea_class;
   } GLwDrawingAreaClassRec;
 
-extern GLwDrawingAreaClassRec glwDrawingAreaClassRec;
+GLAPI GLwDrawingAreaClassRec glwDrawingAreaClassRec;
 
 
 #endif 
--- Makefile.am.orig	1969-12-31 18:00:00.000000000 -0600
+++ Makefile.am	2012-04-06 19:47:51.000000000 -0500
@@ -0,0 +1,43 @@
+# Copyright © 2011 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a
+# copy of this software and associated documentation files (the "Software"),
+# to deal in the Software without restriction, including without limitation
+# the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# and/or sell copies of the Software, and to permit persons to whom the
+# Software is furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice (including the next
+# paragraph) shall be included in all copies or substantial portions of the
+# Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
+# IN THE SOFTWARE.
+
+AUTOMAKE_OPTIONS = foreign
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = glw.pc
+
+GLW_LIBRARY_VERSION=1:0:0
+lib_LTLIBRARIES = libGLw.la
+libGLw_la_SOURCES = GLwDrawA.c
+libGLw_la_CFLAGS = $(GLW_CLFAGS)
+libGLw_la_LIBADD = $(GLW_LIBS)
+libGLw_la_LDFLAGS = -version-info $(GLW_LIBRARY_VERSION) -no-undefined
+if ENABLE_MOTIF
+libGLw_la_SOURCES += GLwMDrawA.c
+libGLw_la_CFLAGS += $(MOTIF_CFLAGS)
+libGLw_la_LIBADD += $(MOTIF_LIBS)
+endif
+library_includedir=$(includedir)/GL/
+library_include_HEADERS=GLwDrawA.h GLwDrawAP.h GLwMDrawA.h GLwMDrawAP.h
+
+clean:
+	-rm -f *.o *.lo *.la *~
+	-rm -rf .libs
--- configure.ac.orig	1969-12-31 18:00:00.000000000 -0600
+++ configure.ac	2012-04-06 19:47:51.000000000 -0500
@@ -0,0 +1,115 @@
+# Copyright © 2011 Intel Corporation
+#
+# Permission is hereby granted, free of charge, to any person obtaining a
+# copy of this software and associated documentation files (the "Software"),
+# to deal in the Software without restriction, including without limitation
+# the rights to use, copy, modify, merge, publish, distribute, sublicense,
+# and/or sell copies of the Software, and to permit persons to whom the
+# Software is furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice (including the next
+# paragraph) shall be included in all copies or substantial portions of the
+# Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
+# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
+# IN THE SOFTWARE.
+
+dnl Process this file with autoconf to create configure.
+
+AC_PREREQ([2.59])
+AC_INIT([glw], [1.0.0],
+    [https://bugs.freedesktop.org/enter_bug.cgi?product=Mesa])
+AC_CANONICAL_HOST
+
+AM_INIT_AUTOMAKE([dist-bzip2])
+
+dnl Check for progs
+AC_PROG_CPP
+AC_PROG_CC
+AC_PROG_LIBTOOL
+AM_PROG_CC_C_O
+
+# Enable quiet compiles on automake 1.11.
+m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES([yes])])
+
+dnl Make sure the pkg-config macros are defined
+m4_ifndef([PKG_PROG_PKG_CONFIG],
+    [m4_fatal([Could not locate the pkg-config autoconf macros.
+  These are usually located in /usr/share/aclocal/pkg.m4. If your macros
+  are in a different location, try setting the environment variable
+  ACLOCAL="aclocal -I/other/macro/dir" before running autoreconf.])])
+PKG_PROG_PKG_CONFIG()
+
+AC_ARG_ENABLE([motif],
+    [AS_HELP_STRING([--enable-motif],
+        [use Motif widgets @<:@default=disabled@:>@])],
+    [enable_motif="$enableval"],
+    [enable_motif=no])
+AM_CONDITIONAL([ENABLE_MOTIF], [test "$enable_motif" = yes])
+
+dnl Get the pkg-config definitions for libGL.  We include a fallback
+dnl path for GL implementation that don't provide a .pc file
+PKG_CHECK_MODULES(GL, [gl], [], [
+		  AC_CHECK_HEADER([GL/gl.h],
+				  [],
+				  AC_MSG_ERROR([GL not found]))
+		  AC_CHECK_LIB([GL],
+			       [glBegin],
+			       [GL_LIBS=-lGL],
+			       AC_MSG_ERROR([GL required]))
+		  ])
+
+PKG_CHECK_MODULES([GLW],[x11 xt])
+
+MOTIF_CFLAGS=
+if test "x$enable_motif" = xyes; then
+    AC_PATH_PROG([MOTIF_CONFIG], [motif-config], [no])
+    if test "x$MOTIF_CONFIG" != xno; then
+        MOTIF_CFLAGS=`$MOTIF_CONFIG --cflags`
+        MOTIF_LIBS=`$MOTIF_CONFIG --libs`
+    else
+        AC_CHECK_HEADER([Xm/PrimitiveP.h], [],
+            [AC_MSG_ERROR([Can't locate Motif headers])])
+        AC_CHECK_LIB([Xm], [XmGetPixmap], [MOTIF_LIBS="-lXm"],
+            [AC_MSG_ERROR([Can't locate Motif Xm library])])
+    fi
+    # MOTIF_LIBS is prepended to GLW_LIB_DEPS since Xm needs Xt/X11
+    GLW_PC_LIB_PRIV="$MOTIF_LIBS $GLW_PC_LIB_PRIV"
+    GLW_PC_CFLAGS="$MOTIF_CFLAGS $GLW_PC_CFLAGS"
+fi
+
+AC_SUBST([GLW_PC_LIB_PRIV])
+AC_SUBST([GLW_PC_CFLAGS])
+
+CFLAGS="$CFLAGS $GL_CFLAGS"
+LIBS="$LIBS $GL_LIBS $MOTIF_LIBS"
+
+dnl Set up C warning flags.  Copy of XORG_CWARNFLAGS.
+if  test "x$GCC" = xyes ; then
+    CWARNFLAGS="-Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes \
+-Wmissing-declarations -Wnested-externs -fno-strict-aliasing \
+-Wbad-function-cast"
+    case `$CC -dumpversion` in
+    3.4.* | 4.*)
+	CWARNFLAGS="$CWARNFLAGS -Wold-style-definition -Wdeclaration-after-statement"
+	;;
+    esac
+else
+    AC_CHECK_DECL([__SUNPRO_C], [SUNCC="yes"], [SUNCC="no"])
+    if test "x$SUNCC" = "xyes"; then
+	CWARNFLAGS="-v"
+    fi
+fi
+CFLAGS="$CFLAGS $CWARNFLAGS"
+
+PKG_CHECK_MODULES(X11, [x11 xext], [x11_enabled=yes], [enable_x11=no])
+
+AC_CONFIG_FILES([glw.pc])
+AC_OUTPUT([
+	Makefile
+])
--- glw.pc.in.orig	2010-02-04 18:10:40.000000000 -0600
+++ glw.pc.in	2012-04-06 19:47:51.000000000 -0500
@@ -1,13 +1,13 @@
-prefix=@INSTALL_DIR@
-exec_prefix=${prefix}
-libdir=@INSTALL_LIB_DIR@
-includedir=@INSTALL_INC_DIR@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
 
 Name: glw
 Description: Mesa OpenGL widget library
 Requires: gl
-Requires.private: @GLW_PC_REQ_PRIV@
-Version: @VERSION@
-Libs: -L${libdir} -l@GLW_LIB@
+Requires.private: x11 xt
+Version: @PACKAGE_VERSION@
+Libs: -L${libdir} -lGLw
 Libs.private: @GLW_PC_LIB_PRIV@
 Cflags: -I${includedir} @GLW_PC_CFLAGS@
